## ipu6-camera-bins 0~git202411270842.3c1cdd3

=== debian/changelog ===
ipu6-camera-bins (0~git202411270842.3c1cdd3-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * debian: Refactor to adopt the main branch.
  * debian/patches: Refresh 0001-pkgconfig-adopt-debian-multiarch-lib-paths.patch and drop 0002-debian-support-simultaneous-coexistence-of-ipu6-vari.patch.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Thu, 05 Dec 2024 02:07:03 +0000

ipu6-camera-bins (0~git202408091036.3914b0a-1) UNRELEASED; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * debian/control: Add tildes in the end of versions to support the usage by git-build-recipe.
  * debian: refresh patches

  [ Kai-Chuan Hsieh ]
  * debian/control: Add transitional package for libipu6 and libipu6ep
  * debian/control.source: Add transitional package to gen control at runtime

  [ Hao Yao ]
  * Update IPU6EPMTL 20230925 firmware
  * Add ipu6 suffix to ipu_tgl libraries (#77)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Mon, 12 Aug 2024 17:10:11 +0800
