=== debian/control ===
Source: ipu6-camera-bins
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 libexpat-dev,
Standards-Version: 4.5.0
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Vcs-Browser: https://github.com/intel/ipu6-camera-bins
Vcs-Git: https://github.com/intel/ipu6-camera-bins.git

Package: libipu6
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libbroxton-ia-pal0 (= ${binary:Version}),
 libgcss0 (= ${binary:Version}),
 libia-aiqb-parser0 (= ${binary:Version}),
 libia-aiq-file-debug0 (= ${binary:Version}),
 libia-aiq0 (= ${binary:Version}),
 libia-bcomp0 (= ${binary:Version}),
 libia-cca0 (= ${binary:Version}),
 libia-ccat0 (= ${binary:Version}),
 libia-cmc-parser0i (= ${binary:Version}),
 libia-coordinate0i (= ${binary:Version}),
 libia-dvs0 (= ${binary:Version}),
 libia-emd-decoder0 (= ${binary:Version}),
 libia-exc0 (= ${binary:Version}),
 libia-isp-bxt0i (= ${binary:Version}),
 libia-lard0 (= ${binary:Version}),
 libia-log0 (= ${binary:Version}),
 libia-ltm0 (= ${binary:Version}),
 libia-mkn0 (= ${binary:Version}),
 libia-nvm0 (= ${binary:Version}),
Description: Transitional package of libipu6
 This is a transitional package of libipu6, and can be safely removed
 after the installation is complete.

Package: libipu6ep
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libbroxton-ia-pal-ipu6ep0 (= ${binary:Version}),
 libgcss-ipu6ep0 (= ${binary:Version}),
 libia-aiqb-parser-ipu6ep0 (= ${binary:Version}),
 libia-aiq-file-debug-ipu6ep0 (= ${binary:Version}),
 libia-aiq-ipu6ep0 (= ${binary:Version}),
 libia-bcomp-ipu6ep0 (= ${binary:Version}),
 libia-cca-ipu6ep0 (= ${binary:Version}),
 libia-ccat-ipu6ep0 (= ${binary:Version}),
 libia-cmc-parser-ipu6ep0 (= ${binary:Version}),
 libia-coordinate-ipu6ep0 (= ${binary:Version}),
 libia-dvs-ipu6ep0 (= ${binary:Version}),
 libia-emd-decoder-ipu6ep0 (= ${binary:Version}),
 libia-exc-ipu6ep0 (= ${binary:Version}),
 libia-isp-bxt-ipu6ep0 (= ${binary:Version}),
 libia-lard-ipu6ep0 (= ${binary:Version}),
 libia-log-ipu6ep0 (= ${binary:Version}),
 libia-ltm-ipu6ep0 (= ${binary:Version}),
 libia-mkn-ipu6ep0 (= ${binary:Version}),
 libia-nvm-ipu6ep0 (= ${binary:Version}),
Description: Transitional package of libipu6ep
 This is a transitional package of libipu6ep, and can be safely removed
 after the installation is complete.

Package: libbroxton-ia-pal-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libbroxton-ia-pal-ipu6-0 for using Intel IPU6 camera.

Package: libbroxton-ia-pal-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libbroxton-ia-pal-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libbroxton-ia-pal-ipu6-0 for Intel IPU6 camera development.

Package: libgcss-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libgcss-ipu6-0 for using Intel IPU6 camera.

Package: libgcss-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgcss-ipu6-0 (= ${binary:Version}),
 pkg-config,
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libgcss-ipu6-0 for Intel IPU6 camera development.

Package: libia-aiqb-parser-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-aiqb-parser-ipu6-0 for using Intel IPU6 camera.

Package: libia-aiqb-parser-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aiqb-parser-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-aiqb-parser-ipu6-0 for Intel IPU6 camera development.

Package: libia-aiq-file-debug-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-aiq-file-debug-ipu6-0 for using Intel IPU6 camera.

Package: libia-aiq-file-debug-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aiq-file-debug-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-aiq-file-debug-ipu6-0 for Intel IPU6 camera development.

Package: libia-aiq-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-aiq-ipu6-0 for using Intel IPU6 camera.

Package: libia-aiq-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aiq-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-aiq-ipu6-0 for Intel IPU6 camera development.

Package: libia-bcomp-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-bcomp-ipu6-0 for using Intel IPU6 camera.

Package: libia-bcomp-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-bcomp-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-bcomp-ipu6-0 for Intel IPU6 camera development.

Package: libia-cca-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-cca-ipu6-0 for using Intel IPU6 camera.

Package: libia-cca-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-cca-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-cca-ipu6-0 for Intel IPU6 camera development.

Package: libia-ccat-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-ccat-ipu6-0 for using Intel IPU6 camera.

Package: libia-ccat-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-ccat-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-ccat-ipu6-0 for Intel IPU6 camera development.

Package: libia-cmc-parser-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-cmc-parser-ipu6-0 for using Intel IPU6 camera.

Package: libia-cmc-parser-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-cmc-parser-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-cmc-parser-ipu6-0 for Intel IPU6 camera development.

Package: libia-coordinate-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-coordinate-ipu6-0 for using Intel IPU6 camera.

Package: libia-coordinate-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-coordinate-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-coordinate-ipu6-0 for Intel IPU6 camera development.

Package: libia-dvs-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-dvs-ipu6-0 for using Intel IPU6 camera.

Package: libia-dvs-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-dvs-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-dvs-ipu6-0 for Intel IPU6 camera development.

Package: libia-emd-decoder-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-emd-decoder-ipu6-0 for using Intel IPU6 camera.

Package: libia-emd-decoder-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-emd-decoder-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-emd-decoder-ipu6-0 for Intel IPU6 camera development.

Package: libia-exc-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-exc-ipu6-0 for using Intel IPU6 camera.

Package: libia-exc-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-exc-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-exc-ipu6-0 for Intel IPU6 camera development.

Package: libia-isp-bxt-ipu6-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libipu6 (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera
 This package contains header files and/or static library of
 libia-isp-bxt-ipu6-0 for using Intel IPU6 camera.

Package: libia-isp-bxt-ipu6-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-isp-bxt-ipu6-0 (= ${binary:Version}),
Breaks:
 libipu6-dev (<= 0~git202309010954.376fccf),
Description: API library for Intel IPU6 camera (development files)
 This package contains header files and/or static library of
 libia-isp-bxt-ipu6-0 for Intel IPU6 camera development.

Package: libia-lard-ipu6-0
