## ipu6-camera-bins 0~git202506270118.30e8766

=== debian/changelog ===
ipu6-camera-bins (0~git202506270118.30e8766-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * debian: Refactor to adopt the main branch.
  * debian/patches: Refresh 0001-pkgconfig-adopt-debian-multiarch-lib-paths.patch and drop 0002-debian-support-simultaneous-coexistence-of-ipu6-vari.patch.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Wed, 01 Oct 2025 08:46:40 +0000
